!> \file fce.f90
!! File with a function.

!> Function fce in a separate file.
!! \param x input paramaeter x
real(8) function fce(x)

implicit none

real(8),intent(in) :: x

  do
    call xxx()
    exit
  enddo
  
  if (1>0) then
    call yyy()
  endif

  fce = x-1

end function
